<?php
namespace WorkbloomERP\Module\v0\Contato\Constants;

class TipoConst {
    public const CONTATO_TIPO = [
        'CLIENTE' => 'Cliente',
        'FORNECEDOR' => 'Fornecedor'
    ];

    public static function getAll(): array {
        return self::CONTATO_TIPO;
    }

    public static function isValid(string $value): bool {
        return array_key_exists(key: $value, array: self::CONTATO_TIPO);
    }

    public static function getDescription(string $key): ?string {
        return self::CONTATO_TIPO[$key] ?? null;
    }
}